/***********************************************************************
BillboardNode - Node class to orient a group of nodes towards the
viewer.
Copyright (c) 2008 Oliver Kreylos

This file is part of the Virtual Reality VRML viewer (VRMLViewer).

The Virtual Reality VRML viewer is free software; you can redistribute
it and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.

The Virtual Reality VRML viewer is distributed in the hope that it will
be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with the Virtual Reality VRML viewer; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
***********************************************************************/

#ifndef BILLBOARDNODE_INCLUDED
#define BILLBOARDNODE_INCLUDED

#include "Types.h"
#include "GroupNode.h"

class BillboardNode:public GroupNode
	{
	/* Elements: */
	private:
	Vector axisOfRotation; // Billboard's rotation axis
	float aor2; // Squared length of rotation axis
	Vector orthoZAxis; // Billboard's Z axis orthonormalized with regard to the axis of rotation
	Vector rotationNormal; // Vector normal to the plane spanned by the rotation axis and the orthonormalized Z axis
	
	/* Constructors and destructors: */
	public:
	BillboardNode(VRMLParser& parser); // Initializes the node from the given VRML parser
	
	/* Methods: */
	void glRenderAction(VRMLRenderState& renderState) const;
	};

#endif
